Index: branches/dev_1784_PATM/NEMO/OPA_SRC/DOM/phycst.F90
===================================================================
--- branches/dev_1784_PATM/NEMO/OPA_SRC/DOM/phycst.F90	(revision 2140)
+++ branches/dev_1784_PATM/NEMO/OPA_SRC/DOM/phycst.F90	(revision 2141)
@@ -52,5 +52,6 @@
       rauw     = 1000._wp   ,  &  !: volumic mass of pure water (kg/m3)
       rcp      =    4.e+3_wp,  &  !: ocean specific heat
-      ro0cpr                      !: = 1. / ( rau0 * rcp )
+      ro0cpr                ,  &  !: = 1. / ( rau0 * rcp )
+      rpref    = 101000._wp       !: reference pressure for sea surface
 
    REAL(wp), PUBLIC ::            &  !:
Index: branches/dev_1784_PATM/NEMO/OPA_SRC/SBC/sbc_oce.F90
===================================================================
--- branches/dev_1784_PATM/NEMO/OPA_SRC/SBC/sbc_oce.F90	(revision 2140)
+++ branches/dev_1784_PATM/NEMO/OPA_SRC/SBC/sbc_oce.F90	(revision 2141)
@@ -24,4 +24,5 @@
    LOGICAL , PUBLIC ::   ln_rnf      = .FALSE.   !: runoffs / runoff mouths
    LOGICAL , PUBLIC ::   ln_ssr      = .FALSE.   !: Sea Surface restoring on SST and/or SSS      
+   LOGICAL , PUBLIC ::   ln_patm     = .FALSE.   !: Read atmospheric pressure
    INTEGER , PUBLIC ::   nn_ice      = 0         !: flag on ice in the surface boundary condition (=0/1/2/3)
    INTEGER , PUBLIC ::   nn_fwb      = 0         !: FreshWater Budget: 
Index: branches/dev_1784_PATM/NEMO/OPA_SRC/SBC/sbcmod.F90
===================================================================
--- branches/dev_1784_PATM/NEMO/OPA_SRC/SBC/sbcmod.F90	(revision 2140)
+++ branches/dev_1784_PATM/NEMO/OPA_SRC/SBC/sbcmod.F90	(revision 2141)
@@ -6,4 +6,5 @@
    !! History :  3.0   !  07-2006  (G. Madec)  Original code
    !!             -    !  08-2008  (S. Masson, E. .... ) coupled interface
+   !!            3.2   !  2010-08  (J. Chanut, C. Bricaud) add atmospheric pressure forcing 
    !!----------------------------------------------------------------------
 
@@ -28,4 +29,5 @@
    USE sbccpl          ! surface boundary condition: coupled florulation
    USE cpl_oasis3, ONLY:lk_cpl      ! are we in coupled mode?
+   USE sbcpatm         ! surface boundary condition: atmospheric pressure forcing
    USE sbcssr          ! surface boundary condition: sea surface restoring
    USE sbcrnf          ! surface boundary condition: runoffs
@@ -70,5 +72,5 @@
       !!
       NAMELIST/namsbc/ nn_fsbc, ln_ana, ln_flx, ln_blk_clio, ln_blk_core, ln_cpl,   &
-         &             nn_ice , ln_dm2dc, ln_rnf, ln_ssr, nn_fwb, nn_ico_cpl
+         &             nn_ice , ln_dm2dc, ln_rnf, ln_ssr, ln_patm, nn_fwb, nn_ico_cpl
       !!----------------------------------------------------------------------
 
@@ -114,4 +116,5 @@
          WRITE(numout,*) '              runoff / runoff mouths                     ln_rnf      = ', ln_rnf
          WRITE(numout,*) '              Sea Surface Restoring on SST and/or SSS    ln_ssr      = ', ln_ssr
+         WRITE(numout,*) '              Atmpospheric pressure forcing              ln_patm     = ', ln_patm
          WRITE(numout,*) '              FreshWater Budget control  (=0/1/2)        nn_fwb      = ', nn_fwb
          WRITE(numout,*) '              closed sea (=0/1) (set in namdom)          nn_closea   = ', nn_closea
@@ -195,4 +198,8 @@
       !                                          ! temperature and salinity (at T-point) over nf_sbc time-step
       !                                          ! (i.e. sst_m, sss_m, ssu_m, ssv_m)
+
+      ! read atmospharic pressure
+      ! -------------------------
+      IF ( ln_patm ) CALL sbc_patm( kt )
 
       ! sbc formulation
Index: branches/dev_1784_PATM/NEMO/OPA_SRC/step.F90
===================================================================
--- branches/dev_1784_PATM/NEMO/OPA_SRC/step.F90	(revision 2140)
+++ branches/dev_1784_PATM/NEMO/OPA_SRC/step.F90	(revision 2141)
@@ -28,4 +28,5 @@
    USE oce             ! ocean dynamics and tracers variables
    USE dom_oce         ! ocean space and time domain variables 
+   USE sbc_oce         ! surface boundary condition
    USE zdf_oce         ! ocean vertical physics variables
    USE ldftra_oce      ! ocean tracer   - trends
@@ -42,4 +43,5 @@
    USE sbcrnf          ! surface boundary condition: runoff variables
    USE sbccpl          ! surface boundary condition: coupled formulation (call send at end of step)
+   USE sbcpatm         ! Atmospheric pressure forcing
    USE cpl_oasis3, ONLY : lk_cpl
 
@@ -70,4 +72,5 @@
    USE dynzdf          ! vertical diffusion               (dyn_zdf routine)
    USE dynspg_oce      ! surface pressure gradient        (dyn_spg routine)
+   USE dynapg          ! atmospheric pressure forcing     (dyn_apg routine)
    USE dynspg          ! surface pressure gradient        (dyn_spg routine)
    USE dynnxt          ! time-stepping                    (dyn_nxt routine)
@@ -168,5 +171,5 @@
 !      IF ( Agrif_Root() .and. lwp) Write(*,*) '---'
 !      IF (lwp) Write(*,*) 'Grid Number',Agrif_Fixed(),' time step ',kstp
-#endif   
+#endif
       indic = 1                                       ! reset to no error condition
 
@@ -310,4 +313,5 @@
                                CALL dyn_zdf( kstp )         ! vertical diffusion
                                indic=0
+        IF( ln_patm_apg  )     CALL dyn_apg( kstp )         ! Atmospheric pressure forcing
                                CALL dyn_spg( kstp, indic )  ! surface pressure gradient
                                CALL dyn_nxt( kstp )         ! lateral velocity at next time step