Index: /trunk/NEMO/OPA_SRC/OBC/obcini.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/OBC/obcini.F90	(revision 2148)
+++ /trunk/NEMO/OPA_SRC/OBC/obcini.F90	(revision 2149)
@@ -375,88 +375,83 @@
       END IF
 
-      IF ( ln_vol_cst .OR. lk_dynspg_flt ) THEN
-        ! ... Initialize obcumask and obcvmask for the Force filtering 
-        !     boundary condition in dynspg_flt
-        obcumask(:,:) = umask(:,:,1)
-        obcvmask(:,:) = vmask(:,:,1)
-
-        ! ... Initialize obctmsk on overlap region and obcs. This mask
-        !     is used in obcvol.F90 to calculate cumulate flux E-P. 
-        !     obc Tracer point are outside the domain ( U/V obc points) ==> masked by obctmsk
-        !     - no flux E-P on obcs and overlap region (jpreci = jprecj = 1)
-        obctmsk(:,:) = tmask_i(:,:)     
-
-        IF( lp_obc_east ) THEN
-           ! ... East obc Force filtering mask for the grad D
-           obcumask(nie0  :nie1  ,nje0p1:nje1m1) = 0.e0
-           obcvmask(nie0p1:nie1p1,nje0p1:nje1m1) = 0.e0
-           ! ... set to 0 on East OBC
-           obctmsk(nie0p1:nie1p1,nje0:nje1) = 0.e0
-        END IF
-  
-        IF( lp_obc_west ) THEN
-           ! ... West obc Force filtering mask for the grad D
-           obcumask(niw0:niw1,njw0:njw1) = 0.e0
-           obcvmask(niw0:niw1,njw0:njw1) = 0.e0
-           ! ... set to 0 on West OBC
-           obctmsk(niw0:niw1,njw0:njw1) = 0.e0
-        END IF
-  
-        IF( lp_obc_north ) THEN
-           ! ... North obc Force filtering mask for the grad D
-           obcumask(nin0p1:nin1m1,njn0p1:njn1p1) = 0.e0
-           obcvmask(nin0p1:nin1m1,njn0  :njn1  ) = 0.e0
-           ! ... set to 0 on North OBC
-           obctmsk(nin0:nin1,njn0p1:njn1p1) = 0.e0
-        END IF
-  
-        IF( lp_obc_south ) THEN
-           ! ... South obc Force filtering mask for the grad D
-           obcumask(nis0p1:nis1m1,njs0:njs1) = 0.e0
-           obcvmask(nis0p1:nis1m1,njs0:njs1) = 0.e0
-           ! ... set to 0 on South OBC
-           obctmsk(nis0:nis1,njs0:njs1) = 0.e0
-        END IF
-      ENDIF
-
-      IF ( ln_vol_cst .OR. lk_dynspg_flt  ) THEN
-
-         ! 3.1 Total lateral surface 
-         ! -------------------------
-         obcsurftot = 0.e0
-  
-         IF( lp_obc_east ) THEN ! ... East open boundary lateral surface
-            DO ji = nie0, nie1
-               DO jj = 1, jpj 
-                  obcsurftot = obcsurftot+hu(ji,jj)*e2u(ji,jj)*uemsk(jj,1) * MAX(obctmsk(ji,jj),obctmsk(ji+1,jj) )
-               END DO
+      ! ... Initialize obcumask and obcvmask for the Force filtering 
+      !     boundary condition in dynspg_flt
+      obcumask(:,:) = umask(:,:,1)
+      obcvmask(:,:) = vmask(:,:,1)
+
+      ! ... Initialize obctmsk on overlap region and obcs. This mask
+      !     is used in obcvol.F90 to calculate cumulate flux E-P. 
+      !     obc Tracer point are outside the domain ( U/V obc points) ==> masked by obctmsk
+      !     - no flux E-P on obcs and overlap region (jpreci = jprecj = 1)
+      obctmsk(:,:) = tmask_i(:,:)     
+
+      IF( lp_obc_east ) THEN
+         ! ... East obc Force filtering mask for the grad D
+         obcumask(nie0  :nie1  ,nje0p1:nje1m1) = 0.e0
+         obcvmask(nie0p1:nie1p1,nje0p1:nje1m1) = 0.e0
+         ! ... set to 0 on East OBC
+         obctmsk(nie0p1:nie1p1,nje0:nje1) = 0.e0
+      END IF
+
+      IF( lp_obc_west ) THEN
+         ! ... West obc Force filtering mask for the grad D
+         obcumask(niw0:niw1,njw0:njw1) = 0.e0
+         obcvmask(niw0:niw1,njw0:njw1) = 0.e0
+         ! ... set to 0 on West OBC
+         obctmsk(niw0:niw1,njw0:njw1) = 0.e0
+      END IF
+
+      IF( lp_obc_north ) THEN
+         ! ... North obc Force filtering mask for the grad D
+         obcumask(nin0p1:nin1m1,njn0p1:njn1p1) = 0.e0
+         obcvmask(nin0p1:nin1m1,njn0  :njn1  ) = 0.e0
+         ! ... set to 0 on North OBC
+         obctmsk(nin0:nin1,njn0p1:njn1p1) = 0.e0
+      END IF
+
+      IF( lp_obc_south ) THEN
+         ! ... South obc Force filtering mask for the grad D
+         obcumask(nis0p1:nis1m1,njs0:njs1) = 0.e0
+         obcvmask(nis0p1:nis1m1,njs0:njs1) = 0.e0
+         ! ... set to 0 on South OBC
+         obctmsk(nis0:nis1,njs0:njs1) = 0.e0
+      END IF
+
+      ! 3.1 Total lateral surface 
+      ! -------------------------
+      obcsurftot = 0.e0
+
+      IF( lp_obc_east ) THEN ! ... East open boundary lateral surface
+         DO ji = nie0, nie1
+            DO jj = 1, jpj 
+               obcsurftot = obcsurftot+hu(ji,jj)*e2u(ji,jj)*uemsk(jj,1) * MAX(obctmsk(ji,jj),obctmsk(ji+1,jj) )
             END DO
-         END IF
-  
-         IF( lp_obc_west ) THEN ! ... West open boundary lateral surface
-            DO ji = niw0, niw1
-               DO jj = 1, jpj 
-                  obcsurftot = obcsurftot+hu(ji,jj)*e2u(ji,jj)*uwmsk(jj,1) * MAX(obctmsk(ji,jj),obctmsk(ji+1,jj) )
-               END DO
+         END DO
+      END IF
+
+      IF( lp_obc_west ) THEN ! ... West open boundary lateral surface
+         DO ji = niw0, niw1
+            DO jj = 1, jpj 
+               obcsurftot = obcsurftot+hu(ji,jj)*e2u(ji,jj)*uwmsk(jj,1) * MAX(obctmsk(ji,jj),obctmsk(ji+1,jj) )
             END DO
-         END IF
-         IF( lp_obc_north ) THEN ! ... North open boundary lateral surface
-            DO jj = njn0, njn1
-               DO ji = 1, jpi
-                  obcsurftot = obcsurftot+hv(ji,jj)*e1v(ji,jj)*vnmsk(ji,1) * MAX(obctmsk(ji,jj),obctmsk(ji,jj+1) )
-               END DO
+         END DO
+      END IF
+      IF( lp_obc_north ) THEN ! ... North open boundary lateral surface
+         DO jj = njn0, njn1
+            DO ji = 1, jpi
+               obcsurftot = obcsurftot+hv(ji,jj)*e1v(ji,jj)*vnmsk(ji,1) * MAX(obctmsk(ji,jj),obctmsk(ji,jj+1) )
             END DO
-         END IF
-  
-         IF( lp_obc_south ) THEN ! ... South open boundary lateral surface
-            DO jj = njs0, njs1
-               DO ji = 1, jpi
-                  obcsurftot = obcsurftot+hv(ji,jj)*e1v(ji,jj)*vsmsk(ji,1) * MAX(obctmsk(ji,jj),obctmsk(ji,jj+1) )
-               END DO
+         END DO
+      END IF
+
+      IF( lp_obc_south ) THEN ! ... South open boundary lateral surface
+         DO jj = njs0, njs1
+            DO ji = 1, jpi
+               obcsurftot = obcsurftot+hv(ji,jj)*e1v(ji,jj)*vsmsk(ji,1) * MAX(obctmsk(ji,jj),obctmsk(ji,jj+1) )
             END DO
-         END IF
-  
-         IF( lk_mpp )   CALL mpp_sum( obcsurftot )   ! sum over the global domain
-      ENDIF
+         END DO
+      END IF
+
+      IF( lk_mpp )   CALL mpp_sum( obcsurftot )   ! sum over the global domain
 
       ! 5. Control print on mask 