Index: branches/DEV_r1879_FCM/NEMOGCM/NEMO/NST_SRC/agrif2model.F90
===================================================================
--- branches/DEV_r1879_FCM/NEMOGCM/NEMO/NST_SRC/agrif2model.F90	(revision 2045)
+++ branches/DEV_r1879_FCM/NEMOGCM/NEMO/NST_SRC/agrif2model.F90	(revision 2160)
@@ -3,5 +3,5 @@
    !!   OPA 9.0 , LOCEAN-IPSL (2006) 
    !! $Id$
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence  (NEMOGCM/License_CeCILL.txt)
    !!----------------------------------------------------------------------
 
Index: branches/DEV_r1879_FCM/NEMOGCM/NEMO/NST_SRC/agrif_oce.F90
===================================================================
--- branches/DEV_r1879_FCM/NEMOGCM/NEMO/NST_SRC/agrif_oce.F90	(revision 2045)
+++ branches/DEV_r1879_FCM/NEMOGCM/NEMO/NST_SRC/agrif_oce.F90	(revision 2160)
@@ -35,5 +35,5 @@
    !! NEMO/OPA 3.2 , LOCEAN-IPSL (2009)
    !! $Id$
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence  (NEMOGCM/License_CeCILL.txt)
    !!======================================================================
 END MODULE agrif_oce
Index: branches/DEV_r1879_FCM/NEMOGCM/NEMO/NST_SRC/agrif_opa_interp.F90
===================================================================
--- branches/DEV_r1879_FCM/NEMOGCM/NEMO/NST_SRC/agrif_opa_interp.F90	(revision 2045)
+++ branches/DEV_r1879_FCM/NEMOGCM/NEMO/NST_SRC/agrif_opa_interp.F90	(revision 2160)
@@ -36,5 +36,5 @@
    !! NEMO/OPA 3.2 , LOCEAN-IPSL (2009)
    !! $Id$
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence  (NEMOGCM/License_CeCILL.txt)
    !!----------------------------------------------------------------------
 
Index: branches/DEV_r1879_FCM/NEMOGCM/NEMO/NST_SRC/agrif_opa_sponge.F90
===================================================================
--- branches/DEV_r1879_FCM/NEMOGCM/NEMO/NST_SRC/agrif_opa_sponge.F90	(revision 2045)
+++ branches/DEV_r1879_FCM/NEMOGCM/NEMO/NST_SRC/agrif_opa_sponge.F90	(revision 2160)
@@ -17,5 +17,5 @@
    !!   OPA 9.0 , LOCEAN-IPSL (2006)
    !! $Id$
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence  (NEMOGCM/License_CeCILL.txt)
    !!----------------------------------------------------------------------
 
Index: branches/DEV_r1879_FCM/NEMOGCM/NEMO/NST_SRC/agrif_opa_update.F90
===================================================================
--- branches/DEV_r1879_FCM/NEMOGCM/NEMO/NST_SRC/agrif_opa_update.F90	(revision 2045)
+++ branches/DEV_r1879_FCM/NEMOGCM/NEMO/NST_SRC/agrif_opa_update.F90	(revision 2160)
@@ -18,5 +18,5 @@
    !!   OPA 9.0 , LOCEAN-IPSL (2006)
    !! $Id$
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence  (NEMOGCM/License_CeCILL.txt)
    !!----------------------------------------------------------------------
 
Index: branches/DEV_r1879_FCM/NEMOGCM/NEMO/NST_SRC/agrif_top_interp.F90
===================================================================
--- branches/DEV_r1879_FCM/NEMOGCM/NEMO/NST_SRC/agrif_top_interp.F90	(revision 2045)
+++ branches/DEV_r1879_FCM/NEMOGCM/NEMO/NST_SRC/agrif_top_interp.F90	(revision 2160)
@@ -16,5 +16,5 @@
    !!   OPA 9.0 , LOCEAN-IPSL (2006)
    !! $Id$
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence  (NEMOGCM/License_CeCILL.txt)
    !!----------------------------------------------------------------------
 
Index: branches/DEV_r1879_FCM/NEMOGCM/NEMO/NST_SRC/agrif_top_sponge.F90
===================================================================
--- branches/DEV_r1879_FCM/NEMOGCM/NEMO/NST_SRC/agrif_top_sponge.F90	(revision 2045)
+++ branches/DEV_r1879_FCM/NEMOGCM/NEMO/NST_SRC/agrif_top_sponge.F90	(revision 2160)
@@ -18,5 +18,5 @@
    !!   OPA 9.0 , LOCEAN-IPSL (2006)
    !! $Id: agrif_opa_sponge.F90 1156 2008-06-26 16:06:45Z rblod $
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence  (NEMOGCM/License_CeCILL.txt)
    !!----------------------------------------------------------------------
 
Index: branches/DEV_r1879_FCM/NEMOGCM/NEMO/NST_SRC/agrif_top_update.F90
===================================================================
--- branches/DEV_r1879_FCM/NEMOGCM/NEMO/NST_SRC/agrif_top_update.F90	(revision 2045)
+++ branches/DEV_r1879_FCM/NEMOGCM/NEMO/NST_SRC/agrif_top_update.F90	(revision 2160)
@@ -20,5 +20,5 @@
    !!   OPA 9.0 , LOCEAN-IPSL (2006)
    !! $Id$
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence  (NEMOGCM/License_CeCILL.txt)
    !!----------------------------------------------------------------------
 
Index: branches/DEV_r1879_FCM/NEMOGCM/NEMO/NST_SRC/agrif_user.F90
===================================================================
--- branches/DEV_r1879_FCM/NEMOGCM/NEMO/NST_SRC/agrif_user.F90	(revision 2045)
+++ branches/DEV_r1879_FCM/NEMOGCM/NEMO/NST_SRC/agrif_user.F90	(revision 2160)
@@ -3,5 +3,5 @@
    !!   OPA 9.0 , LOCEAN-IPSL (2006)
    !! $Id$
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence  (NEMOGCM/License_CeCILL.txt)
    !!----------------------------------------------------------------------
 