Index: branches/DEV_r1826_DOC/DOC/NEMO_book.tex
===================================================================
--- branches/DEV_r1826_DOC/DOC/NEMO_book.tex	(revision 1842)
+++ branches/DEV_r1826_DOC/DOC/NEMO_book.tex	(revision 2164)
@@ -21,4 +21,19 @@
 %hyperref  ===>>>  don't work.....
 %\usepackage[a4paper=true,ps2pdf=true,pagebackref=true,breaklinks=true]{hyperref}
+%gn
+\usepackage[%
+  pdftitle={NEMO ocean engine},%
+  pdfauthor={Gurvan Madec},% pdfsubject={The preprint document class
+                           % elsart},% pdfkeywords={diapycnal diffusion,numerical mixing,z-level models},%
+  pdfstartview=FitH,%
+  bookmarks=true,%
+  bookmarksopen=true,%
+  breaklinks=true,%
+  colorlinks=true,%
+  linkcolor=blue,anchorcolor=blue,%
+  citecolor=blue,filecolor=blue,%
+  menucolor=blue,pagecolor=blue,%
+  urlcolor=blue]{hyperref}
+%gn end
 
 %\usepackage{amssymb}
@@ -61,6 +76,7 @@
 \usepackage{times}					% use vector fonts instead of bitmap
 \usepackage{fancybox}
-\usepackage{color}
-\usepackage{colortbl}
+\usepackage{graphicx}
+%\usepackage{color}
+%\usepackage{colortbl}
 
 %%%% add by Word2Tex
@@ -117,11 +133,13 @@
 %%%% end style chapter %%%
 
-%%% eqution shortcut:
-\newcommand{\vect} [1] { \rm{\textbf{#1}} }    % vector style: non-italic bold
+%%% use maths shortcuts :
+%\newcommand{\vect} [1] { \rm{\textbf{#1}} }    % vector style: non-italic bold
+\usepackage{./TexFiles/math_abbrev}
+
 
 %%% essai commande
 \newcommand{\nl} [1] {\texttt{\small {\textcolor{blue}{#1}} } } 
 
-%essai commande  
+%%% index commands :   
 \newcommand{\mdl} [1] {\textit{#1.F90}\index{Modules!#1}}			%module (mdl)
 \newcommand{\rou} [1] {\textit{#1}\index{Routines!#1}}				%module (routine)
@@ -213,12 +231,12 @@
 
 % ================================================================
-% ================================================================
 %      Include ONLY order
 % ================================================================
 
 %\includeonly{./TexFiles/Chapters/Chap_MISC}
-%\includeonly{./TexFiles/Chapters/Annex_E}
+%\includeonly{./TexFiles/Chapters/Chap_ZDF}
+%\includeonly{./TexFiles/Chapters/Chap_STP,./TexFiles/Chapters/Chap_SBC,./TexFiles/Chapters/Chap_TRA}
 %\includeonly{./TexFiles/Chapters/Chap_LBC,./TexFiles/Chapters/Chap_MISC}
-%\includeonly{./TexFiles/Chapters/Chap_Model_Basics,./TexFiles/Chapters/Chap_Model_Basics_zstar,./TexFiles/Chapters/Chap_ZDF}
+%\includeonly{./TexFiles/Chapters/Chap_Model_Basics}
 %\includeonly{./TexFiles/Chapters/Annex_A,./TexFiles/Chapters/Annex_B,./TexFiles/Chapters/Annex_C,./TexFiles/Chapters/Annex_D}
 
@@ -255,22 +273,21 @@
 \include{./TexFiles/Chapters/Chap_Model_Basics}
 
-%%
-\include{./TexFiles/Chapters/Chap_Model_Basics_zstar}
-%%
-\include{./TexFiles/Chapters/Chap_DOM}
-
-\include{./TexFiles/Chapters/Chap_TRA}
-
-\include{./TexFiles/Chapters/Chap_DYN}
-
-\include{./TexFiles/Chapters/Chap_SBC}
-
-\include{./TexFiles/Chapters/Chap_LBC}
-
-\include{./TexFiles/Chapters/Chap_LDF}
-
-\include{./TexFiles/Chapters/Chap_ZDF}
-
-\include{./TexFiles/Chapters/Chap_MISC}
+\include{./TexFiles/Chapters/Chap_STP}			% Time discretisation (time stepping strategy)
+
+\include{./TexFiles/Chapters/Chap_DOM}			% Space discretisation 
+
+\include{./TexFiles/Chapters/Chap_TRA}			% Tracer advection/diffusion equation
+
+\include{./TexFiles/Chapters/Chap_DYN}			% Dynamics : momentum equation
+
+\include{./TexFiles/Chapters/Chap_SBC}			% Surface Boundary Conditions
+
+\include{./TexFiles/Chapters/Chap_LBC}			% Lateral Boundary Conditions
+
+\include{./TexFiles/Chapters/Chap_LDF}			% Lateral diffusion
+
+\include{./TexFiles/Chapters/Chap_ZDF}			% Vertical diffusion
+
+\include{./TexFiles/Chapters/Chap_MISC}			% Miscellaneous topics
 
 % ================================================================
@@ -281,9 +298,9 @@
 
 %\include{./TexFiles/Chapters/Chap_Conservation}
-\include{./TexFiles/Chapters/Annex_A}
-\include{./TexFiles/Chapters/Annex_B}
-\include{./TexFiles/Chapters/Annex_C}
-\include{./TexFiles/Chapters/Annex_D}
-%\include{./TexFiles/Chapters/Annex_E}
+\include{./TexFiles/Chapters/Annex_A}			% generalised vertical coordinate
+\include{./TexFiles/Chapters/Annex_B}			% diffusive operator
+\include{./TexFiles/Chapters/Annex_C}			% Discrete invariants of the eqs.
+\include{./TexFiles/Chapters/Annex_D}			% Coding rules
+%\include{./TexFiles/Chapters/Annex_E}	                  % Notes on some on going staff (no included in the DOC) 
 
 % ================================================================